Bug 771799 - ibus-mozc [the shortcuts to change input on the language-bar are not working]
ibus-mozc [the shortcuts to change input on the language-bar are not working]
Product: Fedora
Classification: Fedora
Component: mozc (Show other bugs)
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
: MoveUpstream
Depends On:
  Show dependency treegraph
Reported: 2012-01-04 20:16 EST by nomnex
Modified: 2012-03-04 23:48 EST (History)
2 users (show)

See Also:
Fixed In Version: mozc-1.3.975.102-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-02-26 20:34:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description nomnex 2012-01-04 20:16:57 EST
Description of problem:

First, forgive me if it is a user mistake.
Secondly, there is not component selection "ibus-mozc" on the bug form. I have selected mozc.

I have installed ibus-mozc from the repo. Default installation. Conversion shortcuts work fine when I input words. However the shortcut to change input on the language bar:

- Direct input
- Hiragana
- Katakana
- Latin
- Wide latin
- Half-width katakana

are not working.

For what I have seen on my system:
- Composition/Precomposition | Hiragana | Set input mode to Hiragana > Not working.
- Composition/Precomposition | Muhenkan | Switch kana type > Not working.

I created a custom shortcut:
- Precomposition | Ctl+. | Switch kana type > Not working

Version-Release number of selected component (if applicable):

Name        : ibus-mozc
Arch        : i686
Version     : 1.3.911.102
Release     : 1.fc15

I am using Fedora 15 (en_US) on a Japanese notebook.

How reproducible:


Steps to Reproduce:
1. Switch to ibus-mozc input
2. Any shortcut to change kana/latin/direct input are not working
Actual results:

Selection by a right click on the icon in the language bar, and one more click on the kana selection.

Expected results:

Switching kana/latin with from the keyboard

Additional info:

I can use the default shortcuts (see above) when with ibus-anthy.
Comment 1 Akira TAGOH 2012-01-04 21:07:11 EST
Thanks for filing a bug to upstream as well. just for record:
Comment 2 Akira TAGOH 2012-02-26 20:34:34 EST
This issue seems fixed in the latest updates, 1.3.975.102-1.
Comment 3 nomnex 2012-02-26 21:58:27 EST
Not fixed for me, unless I do something wrong.

- The katakan/hiragan key does not toggle input as expected.
- No way to swap latin/kana input from the keyboard (not as a conversion method, but as a input selection)

The only improvement I see is the Caps Lock key toggles "direct input" (hiragana) to "Latin (capital letters), but not in the way I expect it[1].

I used anthy-ibus. That's was straight forward,

1. Shift-Space to turn Japanese input ON/OFF

2. Alt+. to change Hiragana, Katakana or Latin (either use the keyboard key)

3. Latin input was like typing in English

Using Mozc,

1. the latin input behaves as the Hiragan input ([1] the letters are underlined and I have to push enter to confirm the full word)

2. I don't get shortcut working (conversion shortcut works, but -- unless this is the design, I can not easily switch from Latin, to Hiragana, to Katakana).

3. The only way to switch from one input to another is to use the mouse and to r-click on the mozec language bar.

Note: This could be a user mistake. Could anyone try on a English OS and get back to me.
Comment 4 nomnex 2012-02-26 22:08:40 EST

1. Pushing caps lock switches from Kana to Latin.

2. I can't swap from Kana to direct input.

3. I can't swap from Hiragana to Katakana

Muhenkan shortcut is not working for me.
hankaku/zenkaku shortcut not working for me.
hiragana/katkana shortcut is not working for me.
Comment 5 nomnex 2012-02-26 22:18:28 EST
I should have tested before commenting repeatedly along the bug report.

I have created a custom shortcut Change Kana input using Ctrl +1.

The setting is ineffective.
Comment 6 nomnex 2012-03-04 18:33:41 EST
Could you possibly re-open this bug report for the second time?

there is a separated issue about keyboard shortcut not working on Linux & Mozec, see:

Suject: Support "Set input mode to X" commands on Linux

Or let me know if I rather open a new bug report about the issue. Thank you.
Comment 7 Akira TAGOH 2012-03-04 23:02:16 EST
There are actually no reason to keep opening a mozc bug here except packaging bug, because of their commit policy - plus, we don't want to have any patches in the package that not accepted by upstream. so you always better filing a bug to upstream.
Comment 8 nomnex 2012-03-04 23:48:19 EST
I see. Thank you for the explanation.

Note You need to log in before you can comment on or make changes to this bug.